Loading...
Searching...
No Matches
pfn_file_map Struct Reference

Mapping from PFN to file position using `struct` pfn_region. More...

`#include <kdumpfile-priv.h>`

## Data Fields

struct pfn_region * | regions
| PFN region map.
size_t | nregions
| Number of elements in the map.
unsigned | fidx
| File index in dump file set.
kdump_pfn_t | start_pfn
| Lowest PFN mapped to this file.
kdump_pfn_t | end_pfn
| One above the highest PFN mapped to this file.

## Detailed Description

Mapping from PFN to file position using `struct` pfn_region.

## Field Documentation

## end_pfn

kdump_pfn_t pfn_file_map::end_pfn

One above the highest PFN mapped to this file.

This is the lowest next PFN which is not mapped.

The documentation for this struct was generated from the following file:

- src/kdumpfile/kdumpfile-priv.h